From Fedora Project Wiki

< User:Mmaslano

Revision as of 13:01, 11 April 2014 by Mmaslano (talk | contribs) (rails328)

ruby193

Names

Maintainer Name - mmaslano@redhat.com

Maintainer2 Name - I need to persuade someone from Cloud who will use it

Detailed Description

Main ruby package in version 1.9.3 from favourite SCL ruby193. According to Fedora guidelines was ruby193 collection split into ruby193 SCL and railsX SCL. Be careful if your application is using ruby193 SCL in EL releases, you might need to change your wrapper scripts (if you have any). For completely working collections you will also need v8 SCL, which is used only for execution of javascripts.

Packages in the Platform

ruby193

ruby193-ruby

Compatibility Guarantees

No changes are planned. Only new patchsets fixing serious bugs can be applied. Ruby is releasing patchset instead of minor bugfix release.

rails32

Maintainer Name - mmaslano@redhat.com

Maintainer2 Name - I need to persuade someone from Cloud who will use it

Detailed Description

Main ruby package in version 1.9.3 from favourite SCL ruby193. According to Fedora guidelines was ruby193 collection split into ruby193 SCL and railsX SCL. Be careful if your application is using ruby193 SCL in EL releases, you might need to change your wrapper scripts (if you have any). For completely working collections you will also need v8 SCL, which is used only for execution of javascripts.

Packages in the Platform

rails32

v8314

Maintainer Name - mmaslano@redhat.com

Maintainer2 Name - I need to persuade someone from Cloud who will use it

Detailed Description

The v8 collection is used just only to support execution of javascripts. Usually is used v8. The rails328 SCL is tested with this precise version.

Packages in the Platform

v8314

v8314-v8